Groovy 1.7.10

## org.codehaus.groovy.classgen
[Java] Class VariableScopeVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.classgen.VariableScopeVisitor

    public class VariableScopeVisitor
    extends ClassCodeVisitorSupport

goes through an AST and initializes the scopes

Authors:
  Jochen Theodorou

Method Summary
`def` | `VariableScopeVisitor(SourceUnit source)`
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitBlockStatement(BlockStatement block)`
`void` | `visitCatchStatement(CatchStatement statement)`
`void` | `visitClass(ClassNode node)`
`void` | `visitClosureExpression(ClosureExpression expression)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression call)`
`protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
`void` | `visitDeclarationExpression(DeclarationExpression expression)`
`void` | `visitField(FieldNode node)`
`void` | `visitFieldExpression(FieldExpression expression)`
`void` | `visitForLoop(ForStatement forLoop)`
`void` | `visitMethodCallExpression(MethodCallExpression call)`
`void` | `visitProperty(PropertyNode node)`
`void` | `visitPropertyExpression(PropertyExpression expression)`
`void` | `visitVariableExpression(VariableExpression expression)`

Methods inherited from class ClassCodeVisitorSupport

addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop

Methods inherited from class CodeVisitorSupport

visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### VariableScopeVisitor

    public def VariableScopeVisitor(SourceUnit source)

### getSourceUnit

    protected SourceUnit getSourceUnit()

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

### visitBlockStatement

    public void visitBlockStatement(BlockStatement block)

### visitCatchStatement

    public void visitCatchStatement(CatchStatement statement)

### visitClass

    public void visitClass(ClassNode node)

### visitClosureExpression

    public void visitClosureExpression(ClosureExpression expression)

### visitConstructorCallExpression

    public void visitConstructorCallExpression(ConstructorCallExpression call)

### visitConstructorOrMethod

    protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

### visitDeclarationExpression

    public void visitDeclarationExpression(DeclarationExpression expression)

### visitField

    public void visitField(FieldNode node)

### visitFieldExpression

    public void visitFieldExpression(FieldExpression expression)

### visitForLoop

    public void visitForLoop(ForStatement forLoop)

### visitMethodCallExpression

    public void visitMethodCallExpression(MethodCallExpression call)

### visitProperty

    public void visitProperty(PropertyNode node)

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

### visitVariableExpression

    public void visitVariableExpression(VariableExpression expression)

Copyright © 2003-2010 The Codehaus. All rights reserved.